com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.Client

- java.lang.Object
- - org.apache.thrift.TServiceClient
  - - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.Client

- All Implemented Interfaces:
    ThriftFlumeEventServer.Iface
  Enclosing class:
    ThriftFlumeEventServer

      public static class ThriftFlumeEventServer.Client
      extends org.apache.thrift.TServiceClient
      implements ThriftFlumeEventServer.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftFlumeEventServer.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.Client(org.apache.thrift.protocol.TProtocol prot)`
    `ThriftFlumeEventServer.Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent evt)`
    `void` | `close()`
    `void` | `recv_close()`
    `void` | `send_append(ThriftFlumeEvent evt)`
    `void` | `send_close()`

    - ### Methods inherited from class org.apache.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.Client

          public ThriftFlumeEventServer.Client(org.apache.thrift.protocol.TProtocol prot)

    - #### ThriftFlumeEventServer.Client

          public ThriftFlumeEventServer.Client(org.apache.thrift.protocol.TProtocol iprot,
                                       org.apache.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### append

          public void append(ThriftFlumeEvent evt)
                      throws org.apache.thrift.TException

      Specified by:
        `append` in interface `ThriftFlumeEventServer.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_append

          public void send_append(ThriftFlumeEvent evt)
                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### close

          public void close()
                     throws org.apache.thrift.TException

      Specified by:
        `close` in interface `ThriftFlumeEventServer.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_close

          public void send_close()
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_close

          public void recv_close()
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.